let trackingCode = null;

chrome.runtime.onMessageExternal.addListener(
  (message, sender, sendResponse) => {
    switch (message.status) {
      // The initial ping will let the web page know that we can communicate with the extension
      case "PING":
        console.log("Received ping from", sender.origin);
        sendResponse(true);
        break;
      case "SET_TRACKING_CODE":
        const { code } = message.payload;
        console.log("Received: ", code);
        trackingCode = code;
        sendResponse(true);
        break;
    }
  }
);

// Listener added to communicate with the popup/content script
chrome.runtime.onMessage.addListener((message, sender, sendResponse) => {
  switch (message.status) {
    case "IS_LOGGED_IN":
      sendResponse(!!trackingCode);
      break;
  }
});
